Bug 690124 - docbook update breaks links to contents, previous and next missing in khelpcenter
docbook update breaks links to contents, previous and next missing in khelpce...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Regression
: 696012 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-23 08:00 EDT by nucleo
Modified: 2011-07-22 21:53 EDT (History)
12 users (show)

See Also:
Fixed In Version: kdemultimedia-4.6.5-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-18 18:44:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
upstream patch to fix docbook issue(s) (23.45 KB, patch)
2011-06-27 10:53 EDT, Rex Dieter
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 271331 None None None Never

  None (edit)
Description nucleo 2011-03-23 08:00:32 EDT
Description of problem:
Links to contents, previous and next missing in KDE Help Center.

Version-Release number of selected component (if applicable):
kdebase-runtime-4.6.1-1.fc15

Steps to Reproduce:
1. Open any multipage help in khelpcenter (for example Klipper)
  
Actual results:
Links Previous, Contents and Next missing, only names for previous and next items shown
http://nucleo.fedorapeople.org/help.png

Expected results:
Links should be shown.

Additional info:
No such problem in Fedora 14 with the same kdebase-runtime
kdebase-runtime-4.6.1-1.fc14.i686
Comment 1 Kevin Kofler 2011-04-13 11:40:29 EDT
*** Bug 696012 has been marked as a duplicate of this bug. ***
Comment 2 nucleo 2011-05-04 13:25:35 EDT
This bug now appeared also in khelpcenter in Fedora 14 with KDE 4.6.2.
Comment 3 Kevin Kofler 2011-05-05 00:35:26 EDT
This must be a bug somewhere in the docbook stack. We need to figure out what was upgraded on F14 recently which might be related.
Comment 4 Kevin Kofler 2011-05-05 01:50:44 EDT
The relevant package is the docbook-xsl-style package used at build time.

Working:
docbook-style-xsl-1.75.2-6.fc14 (used for the 4.6.1 build on F14)

Non-working:
docbook-style-xsl.noarch 0:1.76.1-2.fc15 (used for the 4.6.1 build on F15)
docbook-style-xsl.noarch 0:1.76.1-1.fc14 (used for the 4.6.2 build on F14)

The offending F14 update causing the regression on F14:
https://admin.fedoraproject.org/updates/docbook-style-xsl-1.76.1-1.fc14
(For F15, this was already broken in the Rawhide tree when F15 branched.)
Comment 5 Kevin Kofler 2011-05-05 02:01:34 EDT
IMHO, docbook-style-xsl should be downgraded to 1.75.2 (and Epoched to 1) in both F14 and F15 ASAP, preferably before we start building KDE SC 4.6.4 in a month.
Comment 6 Kevin Kofler 2011-05-05 02:05:28 EDT
(1.76.1 appears to break ALL KDE documentation built against it. :-( )
Comment 7 Kevin Kofler 2011-05-05 02:10:06 EDT
It also looks like we will need to rebuild ALL packages containing KDE documentation in F15 once we have docbook-style-xsl fixed. :-(

The bad version was in the buildroot during the mass rebuild, ALL KDE packages with documentation in F15 and Rawhide are broken now (as well as the F14 KDE packages built after the offending update got pushed to stable).
Comment 8 Kamil Dudka 2011-05-05 02:58:38 EDT
What exactly is broken?  Only generation of those navigation links?
Comment 9 Ondrej Vasik 2011-05-05 05:27:17 EDT
I would prefer to not play a game with epoch, but actually fix the issue - if exists. Do you have some minimal reproducer (some small failing package) - so I could check which element is buggy now and what are current/previous results? TIA.
Comment 10 Rex Dieter 2011-05-05 11:02:55 EDT
I suggest a 2-pronged approach
1.  tag/override known-good pkgs into dist-f14-kde,dist-f15-kde so we can get fixes out ASAP.
2.  continue investigating what broke
Comment 11 Rex Dieter 2011-05-05 15:29:25 EDT
From a freenode/irc conversation in #kde-devel today,

[05/05/11 14:21] <tosky> rdieter: docbook-xsl, I know the issue - 1.76 changed the structure for localization files
[05/05/11 14:22] <rdieter> tosky: yay, what would you suggest on fixing it in the short-term?
[05/05/11 14:22] <rdieter> tosky: we've got a pending f15 release coming real soon with broken docs :(
[05/05/11 14:23] <tosky> rdieter: 1.76 is a solution, I don't think that other packages (non-KDE) depens on 1.76
[05/05/11 14:23] <tosky> rdieter: and the deadline is?
[05/05/11 14:24] <rdieter> tosky: may 9
[05/05/11 14:24] <tosky> argh
[05/05/11 14:24] <rdieter> indeed
[05/05/11 14:24] <tosky> so I have today and tomorrow
[05/05/11 14:24] <rdieter> we'd only thought *some* localized breakage, but further investigation found it pretty bad yesterday
[05/05/11 14:25] <tosky> unfortunately (I apologize) the probability of me suceeding are quite low :(
[05/05/11 14:25] <rdieter> tosky: no worries, we can do builds against 1.75 in the meantime
[05/05/11 14:26] <rdieter> but knowing a better/proper fix on the way is comforting
Comment 12 Rex Dieter 2011-05-05 15:31:10 EDT
Given that, it appears things will be adapted/fixed in the kde-side of things, so I'll move this back over to kdebase-runtime

(though having it changed mid-stream in f14 was unfortunate).
Comment 13 Ondrej Vasik 2011-05-06 06:05:26 EDT
Sorry for that, I was not aware of these incompatible changes. Otherwise I would have been much more reluctant to do that rebase in f14.
Comment 14 Rex Dieter 2011-06-14 12:34:56 EDT
irc update from tosky,

[06/14/11 11:26] <rdieter_work> tosky: ping, if you have a moment, if there's been any news/progress making docbook-style-xsl-1.76.x play nice with kde
[06/14/11 11:26] <rdieter_work> else, I'm going to push harder for a 1.75.x downgrade
[06/14/11 11:27] <tosky> rdieter_work: yep, sorry: I think that I found the way how it should work (and it should work for both 1.75 and 1.76), but it requires a quick patch to all xml files in kdelibs/customization/xsl/ (two lines more, one line changed in the fixed part)
[06/14/11 11:27] <tosky> rdieter_work: and I need more testing
[06/14/11 11:28] <rdieter_work> yay!  if you've got something you want tested, we can try it out
[06/14/11 11:28] <rdieter_work> (can't be much worse than the status-quo, can it? :) )
[06/14/11 11:29] <tosky> well, it shouldn't be, in fact
[06/14/11 11:29] <tosky> the patch is on my home pc, I need to complete it (I applied the fixes only to few languages just for testing0
[06/14/11 11:33] <rdieter_work> ok, great, looking forward to trying it out
Comment 15 Rex Dieter 2011-06-27 10:53:58 EDT
Created attachment 510107 [details]
upstream patch to fix docbook issue(s)
Comment 16 Rex Dieter 2011-06-27 10:54:59 EDT
Re-assining to kdelibs (kdoctools)
Comment 17 Fedora Update System 2011-06-27 11:57:59 EDT
kdelibs-4.6.4-4.fc15, kde-l10n-4.6.4-1.fc15, kdeaccessibility-4.6.4-1.fc15, kdeadmin-4.6.4-1.fc15, kdeartwork-4.6.4-1.fc15, kdebase-runtime-4.6.4-1.fc15, kdebase-workspace-4.6.4-2.fc15, kdebindings-4.6.4-1.fc15, kdeedu-4.6.4-1.fc15, kdegames-4.6.4-1.fc15, kdemultimedia-4.6.4-1.fc15, kdenetwork-4.6.4-1.fc15, kdepimlibs-4.6.4-1.fc15, kdeplasma-addons-4.6.4-1.fc15, kdesdk-4.6.4-1.fc15, kdetoys-4.6.4-1.fc15, kdeutils-4.6.4-1.fc15, oxygen-icon-theme-4.6.4-2.fc15, kdebase-4.6.4-2.fc15, kdegraphics-4.6.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kde-l10n-4.6.4-1.fc15,kdeaccessibility-4.6.4-1.fc15,kdeadmin-4.6.4-1.fc15,kdeartwork-4.6.4-1.fc15,kdebase-4.6.4-2.fc15,kdebase-runtime-4.6.4-1.fc15,kdebase-workspace-4.6.4-2.fc15,kdebindings-4.6.4-1.fc15,kdeedu-4.6.4-1.fc15,kdegames-4.6.4-1.fc15,kdegraphics-4.6.4-2.fc15,kdelibs-4.6.4-4.fc15,kdemultimedia-4.6.4-1.fc15,kdenetwork-4.6.4-1.fc15,kdepimlibs-4.6.4-1.fc15,kdeplasma-addons-4.6.4-1.fc15,kdesdk-4.6.4-1.fc15,kdetoys-4.6.4-1.fc15,kdeutils-4.6.4-1.fc15,oxygen-icon-theme-4.6.4-2.fc15
Comment 18 Fedora Update System 2011-06-27 11:58:10 EDT
kdelibs-4.6.4-4.fc14, kde-l10n-4.6.4-1.fc14, kdeaccessibility-4.6.4-1.fc14, kdeadmin-4.6.4-1.fc14, kdeartwork-4.6.4-1.fc14, kdebase-runtime-4.6.4-1.fc14, kdebase-workspace-4.6.4-2.fc14, kdebindings-4.6.4-1.fc14, kdeedu-4.6.4-1.fc14, kdegames-4.6.4-1.fc14, kdemultimedia-4.6.4-1.fc14, kdenetwork-4.6.4-1.fc14, kdepimlibs-4.6.4-1.fc14, kdeplasma-addons-4.6.4-1.fc14, kdesdk-4.6.4-1.fc14, kdetoys-4.6.4-1.fc14, kdeutils-4.6.4-1.fc14, oxygen-icon-theme-4.6.4-2.fc14, kdebase-4.6.4-2.fc14, kdegraphics-4.6.4-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kde-l10n-4.6.4-1.fc14,kdeaccessibility-4.6.4-1.fc14,kdeadmin-4.6.4-1.fc14,kdeartwork-4.6.4-1.fc14,kdebase-4.6.4-2.fc14,kdebase-runtime-4.6.4-1.fc14,kdebase-workspace-4.6.4-2.fc14,kdebindings-4.6.4-1.fc14,kdeedu-4.6.4-1.fc14,kdegames-4.6.4-1.fc14,kdegraphics-4.6.4-2.fc14,kdelibs-4.6.4-4.fc14,kdemultimedia-4.6.4-1.fc14,kdenetwork-4.6.4-1.fc14,kdepimlibs-4.6.4-1.fc14,kdeplasma-addons-4.6.4-1.fc14,kdesdk-4.6.4-1.fc14,kdetoys-4.6.4-1.fc14,kdeutils-4.6.4-1.fc14,oxygen-icon-theme-4.6.4-2.fc14
Comment 19 nucleo 2011-06-27 16:53:30 EDT
Bug fixed in kdelibs-4.6.4-5.fc15.i686.
At least klipper and konsole help have previous, next and contents links now.
Comment 20 Fedora Update System 2011-06-28 16:26:11 EDT
Package kdelibs-4.6.4-5.fc15, kdepimlibs-4.6.4-2.fc15, kde-l10n-4.6.4-1.fc15, kdeaccessibility-4.6.4-1.fc15, kdeadmin-4.6.4-1.fc15, kdeartwork-4.6.4-1.fc15, kdebase-runtime-4.6.4-1.fc15, kdebase-workspace-4.6.4-2.fc15, kdebindings-4.6.4-1.fc15, kdeedu-4.6.4-1.fc15, kdegames-4.6.4-1.fc15, kdemultimedia-4.6.4-1.fc15, kdenetwork-4.6.4-1.fc15, kdeplasma-addons-4.6.4-1.fc15, kdesdk-4.6.4-1.fc15, kdetoys-4.6.4-1.fc15, kdeutils-4.6.4-1.fc15, oxygen-icon-theme-4.6.4-2.fc15, kdebase-4.6.4-2.fc15, kdegraphics-4.6.4-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdelibs-4.6.4-5.fc15 kdepimlibs-4.6.4-2.fc15 kde-l10n-4.6.4-1.fc15 kdeaccessibility-4.6.4-1.fc15 kdeadmin-4.6.4-1.fc15 kdeartwork-4.6.4-1.fc15 kdebase-runtime-4.6.4-1.fc15 kdebase-workspace-4.6.4-2.fc15 kdebindings-4.6.4-1.fc15 kdeedu-4.6.4-1.fc15 kdegames-4.6.4-1.fc15 kdemultimedia-4.6.4-1.fc15 kdenetwork-4.6.4-1.fc15 kdeplasma-addons-4.6.4-1.fc15 kdesdk-4.6.4-1.fc15 kdetoys-4.6.4-1.fc15 kdeutils-4.6.4-1.fc15 oxygen-icon-theme-4.6.4-2.fc15 kdebase-4.6.4-2.fc15 kdegraphics-4.6.4-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/kde-l10n-4.6.4-1.fc15,kdeaccessibility-4.6.4-1.fc15,kdeadmin-4.6.4-1.fc15,kdeartwork-4.6.4-1.fc15,kdebase-4.6.4-2.fc15,kdebase-runtime-4.6.4-1.fc15,kdebase-workspace-4.6.4-2.fc15,kdebindings-4.6.4-1.fc15,kdeedu-4.6.4-1.fc15,kdegames-4.6.4-1.fc15,kdegraphics-4.6.4-2.fc15,kdelibs-4.6.4-5.fc15,kdemultimedia-4.6.4-1.fc15,kdenetwork-4.6.4-1.fc15,kdepimlibs-4.6.4-2.fc15,kdeplasma-addons-4.6.4-1.fc15,kdesdk-4.6.4-1.fc15,kdetoys-4.6.4-1.fc15,kdeutils-4.6.4-1.fc15,oxygen-icon-theme-4.6.4-2.fc15
then log in and leave karma (feedback).
Comment 21 Fedora Update System 2011-07-07 09:03:44 EDT
kde-l10n-4.6.5-1.fc15,kdeaccessibility-4.6.5-1.fc15,kdeadmin-4.6.5-1.fc15,kdeartwork-4.6.5-1.fc15,kdebase-4.6.5-1.fc15,kdebase-runtime-4.6.5-1.fc15,kdebase-workspace-4.6.5-2.fc15,kdebindings-4.6.5-1.fc15,kdeedu-4.6.5-1.fc15,kdegames-4.6.5-1.fc15,kdegraphics-4.6.5-3.fc15,kdelibs-4.6.5-1.fc15,kdemultimedia-4.6.5-1.fc15,kdenetwork-4.6.5-1.fc15,kdepimlibs-4.6.5-1.fc15,kdeplasma-addons-4.6.5-1.fc15,kdesdk-4.6.5-1.fc15,kdetoys-4.6.5-1.fc15,kdeutils-4.6.5-2.fc15,oxygen-icon-theme-4.6.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kde-l10n-4.6.5-1.fc15,kdeaccessibility-4.6.5-1.fc15,kdeadmin-4.6.5-1.fc15,kdeartwork-4.6.5-1.fc15,kdebase-4.6.5-1.fc15,kdebase-runtime-4.6.5-1.fc15,kdebase-workspace-4.6.5-2.fc15,kdebindings-4.6.5-1.fc15,kdeedu-4.6.5-1.fc15,kdegames-4.6.5-1.fc15,kdegraphics-4.6.5-3.fc15,kdelibs-4.6.5-1.fc15,kdemultimedia-4.6.5-1.fc15,kdenetwork-4.6.5-1.fc15,kdepimlibs-4.6.5-1.fc15,kdeplasma-addons-4.6.5-1.fc15,kdesdk-4.6.5-1.fc15,kdetoys-4.6.5-1.fc15,kdeutils-4.6.5-2.fc15,oxygen-icon-theme-4.6.5-1.fc15
Comment 22 Fedora Update System 2011-07-07 09:43:51 EDT
kde-l10n-4.6.5-1.fc14, kdeaccessibility-4.6.5-1.fc14, kdeadmin-4.6.5-1.fc14, kdeartwork-4.6.5-1.fc14, kdebase-4.6.5-1.fc14, kdebase-runtime-4.6.5-1.fc14, kdebase-workspace-4.6.5-2.fc14, kdebindings-4.6.5-1.fc14, kdeedu-4.6.5-1.fc14, kdegames-4.6.5-1.fc14, kdegraphics-4.6.5-3.fc14, kdelibs-4.6.5-1.fc14, kdemultimedia-4.6.5-1.fc14, kdenetwork-4.6.5-1.fc14, kdepimlibs-4.6.5-1.fc14, kdeplasma-addons-4.6.5-1.fc14, kdesdk-4.6.5-1.fc14, kdetoys-4.6.5-1.fc14, kdeutils-4.6.5-2.fc14, oxygen-icon-theme-4.6.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kde-l10n-4.6.5-1.fc14,kdeaccessibility-4.6.5-1.fc14,kdeadmin-4.6.5-1.fc14,kdeartwork-4.6.5-1.fc14,kdebase-4.6.5-1.fc14,kdebase-runtime-4.6.5-1.fc14,kdebase-workspace-4.6.5-2.fc14,kdebindings-4.6.5-1.fc14,kdeedu-4.6.5-1.fc14,kdegames-4.6.5-1.fc14,kdegraphics-4.6.5-3.fc14,kdelibs-4.6.5-1.fc14,kdemultimedia-4.6.5-1.fc14,kdenetwork-4.6.5-1.fc14,kdepimlibs-4.6.5-1.fc14,kdeplasma-addons-4.6.5-1.fc14,kdesdk-4.6.5-1.fc14,kdetoys-4.6.5-1.fc14,kdeutils-4.6.5-2.fc14,oxygen-icon-theme-4.6.5-1.fc14
Comment 23 Fedora Update System 2011-07-18 18:44:07 EDT
kde-l10n-4.6.5-1.fc15, kdeaccessibility-4.6.5-1.fc15, kdeadmin-4.6.5-1.fc15, kdeartwork-4.6.5-1.fc15, kdebase-4.6.5-1.fc15, kdebase-runtime-4.6.5-1.fc15, kdebase-workspace-4.6.5-2.fc15, kdebindings-4.6.5-1.fc15, kdeedu-4.6.5-1.fc15, kdegames-4.6.5-1.fc15, kdegraphics-4.6.5-3.fc15, kdelibs-4.6.5-1.fc15, kdenetwork-4.6.5-1.fc15, kdepimlibs-4.6.5-1.fc15, kdeplasma-addons-4.6.5-1.fc15, kdesdk-4.6.5-1.fc15, kdetoys-4.6.5-1.fc15, kdeutils-4.6.5-2.fc15, oxygen-icon-theme-4.6.5-1.fc15, kdemultimedia-4.6.5-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2011-07-22 21:52:56 EDT
kdemultimedia-4.6.5-2.fc14, kde-l10n-4.6.5-1.fc14, kdeaccessibility-4.6.5-1.fc14, kdeadmin-4.6.5-1.fc14, kdeartwork-4.6.5-1.fc14, kdebase-4.6.5-1.fc14, kdebase-runtime-4.6.5-1.fc14, kdebase-workspace-4.6.5-2.fc14, kdebindings-4.6.5-1.fc14, kdeedu-4.6.5-1.fc14, kdegames-4.6.5-1.fc14, kdegraphics-4.6.5-3.fc14, kdelibs-4.6.5-1.fc14, kdenetwork-4.6.5-1.fc14, kdepimlibs-4.6.5-1.fc14, kdeplasma-addons-4.6.5-1.fc14, kdesdk-4.6.5-1.fc14, kdetoys-4.6.5-1.fc14, kdeutils-4.6.5-2.fc14, oxygen-icon-theme-4.6.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.